﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <telerik:RadGrid ID="radGrid" runat="server" GridLines="None" PageSize="20" AllowSorting="true"
            AutoGenerateColumns="false" EnableAJAX="true" ShowStatusBar="false" Width="1000">
            <PagerStyle Mode="NextPrevAndNumeric" />
            <MasterTableView CommandItemDisplay="Bottom" GridLines="None" DataKeyNames="ID">
                <Columns>
                    <telerik:GridBoundColumn Display="true" UniqueName="Name" DataField="Name" HeaderText="Name" />
                    <telerik:GridBoundColumn Display="true" UniqueName="SampleValueString" DataField="SampleValueString"
                        HeaderText="SampleValueString" />
                    <telerik:GridEditCommandColumn />
                </Columns>
                <EditFormSettings EditFormType="Template">
                    <FormTemplate>
                        <div>
                            <table width="100%">
                                <tr>
                                    <td align="left">
                                        <table>
                                            <tr>
                                                <td align="right">
                                                    Name:
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="tbx_Name" runat="server" ValidationGroup="newField" MaxLength="50"
                                                        Height="15" Width="100" Text='<%# Bind("Name") %>' />
                                                    <asp:RequiredFieldValidator ID="rfv_NameRequired" runat="server" ErrorMessage="*"
                                                        Text="*" SetFocusOnError="true" ControlToValidate="tbx_Name" ValidationGroup="newField" />
                                                </td>
                                                <td align="right">
                                                    Sample Value:
                                                </td>
                                                <td>
                                                    <telerik:RadComboBox ID="rcb_SampleValues" runat="server" AllowCustomText="false" OnDataBound="rcb_SampleValues_DataBound"
                                                        DataSource='<%# GetSampleValues() %>' MaxLength="255" Text='<%# Bind("SampleValueString") %>'
                                                        Width="100" ToolTip="Please select an Sample Values." ValidationGroup="newField">
                                                    </telerik:RadComboBox>
                                                    <asp:RequiredFieldValidator ID="rfv_SampleValueValidator" runat="server" ErrorMessage="*"
                                                        SetFocusOnError="true" ControlToValidate="rcb_SampleValues" ValidationGroup="newField" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td align="right">
                                        <asp:Button ID="btnUpdate" runat="server" CausesValidation="true" ValidationGroup="newField"
                                            Text='<%# (Container is GridEditFormInsertItem) ? "Insert" : "Update" %>' CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>'
                                            OnClick="Update_Clicked"></asp:Button>
                                        <asp:HiddenField ID="hdn_ID" runat="server" Value='<%# Bind("ID") %>' />
                                        &nbsp;
                                        <asp:Button ID="btnCancel" Text="Cancel" runat="server" CausesValidation="False"
                                            CommandName="Cancel"></asp:Button><br />
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </FormTemplate>
                </EditFormSettings>
            </MasterTableView>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
